import { Part, IPartContext } from '../../part.js';
import { PartComponent } from '../../component.js';
declare class TerminalComponent extends PartComponent {
    visible: boolean;
}
export declare class TerminalPart extends Part {
    core: TerminalComponent;
    private domNode;
    private _invalidateSub;
    private message;
    private lastLine;
    private _renderingInterval?;
    static transformLegacy(app: any): void;
    constructor();
    onInstall(context: IPartContext): void;
    render(): void;
    print(message: string): void;
    printLine(message: string): void;
    _printStack(): void;
    clear(): void;
    visible: boolean;
    _stopRendering(): void;
    _startRendering(): void;
    onStart(): void;
    onStop(): void;
    dispose(): void;
}
export {};
